## python-django-x509 0.3.4

=== requirements.txt ===
six
django>=1.10,<1.12
django-model-utils
jsonfield
cryptography>=2.1.4,<2.2.0
pyopenssl>=17.5.0,<17.6.0

=== debian/changelog ===
python-django-x509 (0.3.4-1) unstable; urgency=low

  * New upstream release.
  * Add debian/gbp.conf.
  * Bump debhelper compatibility and version to 11.
  * Bump Standards-Version to 4.1.3.

 -- Michael Fladischer <fladi@debian.org>  Fri, 05 Jan 2018 10:59:40 +0100

python-django-x509 (0.3.2-1) unstable; urgency=low

  * Initial release (Closes: #884317).

 -- Michael Fladischer <fladi@debian.org>  Wed, 13 Dec 2017 19:33:56 +0100

=== debian/control ===
Source: python-django-x509
Section: python
Priority: optional
Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Uploaders:
 Michael Fladischer <fladi@debian.org>,
Build-Depends:
 debhelper (>= 11),
 dh-python,
 python3-all,
 python3-setuptools,
Standards-Version: 4.1.3
X-Python3-Version: >= 3.4
Homepage: https://github.com/openwisp/django-x509/
Vcs-Browser: https://anonscm.debian.org/cgit/python-modules/packages/python-django-x509.git
Vcs-Git: https://anonscm.debian.org/git/python-modules/packages/python-django-x509.git
Testsuite: autopkgtest-pkg-python

Package: python3-django-x509
Architecture: all
Depends:
 ${misc:Depends},
 ${python3:Depends},
Description: x509 PKI certificates management for Django (Python3 version)
 Simple reusable django app implementing x509 PKI certificates management.
 .
 Features:
  * CA generation
  * Import existing CAs
  * End entity certificate generation
  * Import existing certificates
  * Certificate revocation
  * CRL view (public or protected)
  * Possibility to specify x509 extensions on each certificate
  * Random serial numbers based on uuid4 integers
 .
 This package contains the Python 3 version of the library.

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

export PYBUILD_NAME=django-x509
export PYBUILD_DISABLE=test

%:
	dh $@ --with python3 --buildsystem=pybuild

override_dh_auto_test:
	dh_auto_test -- --system=custom --test-args="PYTHONPATH='.:tests' {interpreter} /usr/bin/django-admin test --settings=settings django_x509"

=== debian/watch ===
version=3
opts=uversionmangle=s/(rc|a|b|c)/~$1/,pgpsigurlmangle=s/$/.asc/ \
https://pypi.debian.net/django-x509/django-x509-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## python-django-x509 0.4

=== requirements.txt ===
six
django>=1.11,<2.1
django-model-utils
jsonfield
cryptography>=2.1.4,<2.2.0
pyopenssl>=17.5.0,<17.6.0

=== debian/changelog ===
python-django-x509 (0.4-1) unstable; urgency=low

  [ Ondřej Nový ]
  * d/control: Set Vcs-* to salsa.debian.org
  * d/control: Remove ancient X-Python3-Version field

  [ Michael Fladischer ]
  * New upstream release.
  * Bump Standards-Version to 4.1.4.
  * Clean up django_x509.egg-info/PKG-INFO to allow two builds in a row.

 -- Michael Fladischer <fladi@debian.org>  Fri, 01 Jun 2018 15:22:42 +0200

=== debian/control ===
--- 
+++ 
@@ -9,11 +9,10 @@
  dh-python,
  python3-all,
  python3-setuptools,
-Standards-Version: 4.1.3
-X-Python3-Version: >= 3.4
+Standards-Version: 4.1.4
 Homepage: https://github.com/openwisp/django-x509/
-Vcs-Browser: https://anonscm.debian.org/cgit/python-modules/packages/python-django-x509.git
-Vcs-Git: https://anonscm.debian.org/git/python-modules/packages/python-django-x509.git
+Vcs-Browser: https://salsa.debian.org/python-team/modules/python-django-x509
+Vcs-Git: https://salsa.debian.org/python-team/modules/python-django-x509.git
 Testsuite: autopkgtest-pkg-python
 
 Package: python3-django-x509

## python-django-x509 0.4.1

=== requirements.txt ===
six
django>=1.11,<2.2
django-model-utils
jsonfield
cryptography>=2.3.0,<2.4.0
pyopenssl>=17.5.0,<18.1.0

=== debian/changelog ===
python-django-x509 (0.4.1-1) unstable; urgency=low

  * New upstream release.
  * Bump Standards-Version to 4.2.1.

 -- Michael Fladischer <fladi@debian.org>  Sat, 29 Sep 2018 15:40:56 +0200

=== debian/control ===
--- 
+++ 
@@ -9,7 +9,7 @@
  dh-python,
  python3-all,
  python3-setuptools,
-Standards-Version: 4.1.4
+Standards-Version: 4.2.1
 Homepage: https://github.com/openwisp/django-x509/
 Vcs-Browser: https://salsa.debian.org/python-team/modules/python-django-x509
 Vcs-Git: https://salsa.debian.org/python-team/modules/python-django-x509.git

## python-django-x509 0.9

=== requirements.txt ===
django>=2.2,<3.2
django-model-utils>=4.0
jsonfield>=3.1.0,<4.0.0
cryptography>=2.4.0,<3.1.0
pyopenssl>=17.5.0,<20.0.0
swapper~=1.1

=== debian/changelog ===
python-django-x509 (0.9-1) unstable; urgency=low

  [ Ondřej Nový ]
  * Use debhelper-compat instead of debian/compat.
  * d/control: Update Maintainer field with new Debian Python Team
    contact address.
  * d/control: Update Vcs-* fields with new Debian Python Team Salsa
    layout.

  [ Debian Janitor ]
  * Bump debhelper from old 11 to 12.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.

  [ Michael Fladischer ]
  * New upstream release.
  * Clean up django_x509.egg-info/top_level.txt to allow two builds in a
    row.
  * Bump debhelper version to 13.
  * Bump Standards-Version to 4.5.0.
  * Set Rules-Requires-Root: no.

 -- Michael Fladischer <fladi@debian.org>  Sun, 25 Oct 2020 13:56:32 +0100

=== debian/control ===
--- 
+++ 
@@ -1,19 +1,20 @@
 Source: python-django-x509
 Section: python
 Priority: optional
-Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
+Maintainer: Debian Python Team <team+python@tracker.debian.org>
 Uploaders:
  Michael Fladischer <fladi@debian.org>,
 Build-Depends:
- debhelper (>= 11),
+ debhelper-compat (= 13),
  dh-python,
  python3-all,
  python3-setuptools,
-Standards-Version: 4.2.1
+Standards-Version: 4.5.0
 Homepage: https://github.com/openwisp/django-x509/
-Vcs-Browser: https://salsa.debian.org/python-team/modules/python-django-x509
-Vcs-Git: https://salsa.debian.org/python-team/modules/python-django-x509.git
+Vcs-Browser: https://salsa.debian.org/python-team/packages/python-django-x509
+Vcs-Git: https://salsa.debian.org/python-team/packages/python-django-x509.git
 Testsuite: autopkgtest-pkg-python
+Rules-Requires-Root: no
 
 Package: python3-django-x509
 Architecture: all

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

export PYBUILD_NAME=django-x509
export PYBUILD_DISABLE=test

%:
	dh $@ --with python3 --buildsystem=pybuild

override_dh_auto_test:
	PYBUILD_TEST_ARGS='--system=custom --test-args="PYTHONPATH='"'"'.:tests'"'"' {interpreter} /usr/bin/django-admin test --settings=settings django_x509"' dh_auto_test
